slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetOptionsPrefix

Sets the prefix used for searching for all ST options in the database.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetOptionsPrefix(ST st,const char *prefix)

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| prefix | - the prefix string to prepend to all ST option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

STAppendOptionsPrefix(), STGetOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages